Download it now!
Bug 88710 - Kill svx dbtoolsclient
Summary: Kill svx dbtoolsclient
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Matthew Nicholls
URL:
Whiteboard: target:5.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: 84315
  Show dependency treegraph
 
Reported: 2015-01-22 15:32 UTC by Lionel Elie Mamane
Modified: 2015-12-15 23:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Initial patch (50.85 KB, patch)
2015-03-29 20:52 UTC, Matthew Nicholls
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2015-01-22 15:32:31 UTC
Replace every use of svx dbtoolsclient by connectivity dbtools.

The former is a wrapper around the latter, with some dlopen() logic.

See https://gerrit.libreoffice.org/11737 for an example what to do. Continue that. Every OStaticDataAccessTools needs to die.

See also the discussion on bug 84315 for rationale.
Comment 1 Julien Nabet 2015-01-23 06:36:00 UTC
Lionel: gerrit link shows an error (even when connected to gerrit). Would you have another link?
Comment 2 Lionel Elie Mamane 2015-01-23 07:18:27 UTC
(In reply to Julien Nabet from comment #1)
> Lionel: gerrit link shows an error (even when connected to gerrit). Would
> you have another link?

It was a draft change, and just discovered that draft changes are not visible to other users (unless they are added as reviewers). I published the change so that it becomes visible to all. The link should now work.
Comment 3 Matthew Nicholls 2015-03-29 20:52:19 UTC
Created attachment 114451 [details]
Initial patch

Hello,

I have been working on a patch for this and I have a few
issues/questions:

1) OSQLParserClient and ODataAccessCharsetHelper depend of functions
   createSQLParser and createCharsetHelper respectively, which are not in
   dbtools. As a workaround I have added them to dbtools.

2) There is a similar setup in files sw/inc/swdbtoolsclient.hxx and
   sw/source/uibase/dbui/swdbtoolsclient.cxx, would it be desirable for this to
   be removed as well?

3) If dbtoolsclient and swdbtoolsclient are removed then I cannot see the
   use for virtualdbtools.hxx and the files under connectivity/source/simpledbt/*
   Most methods there seem to be small wrappers around dbtools.

Matthew.
Comment 4 Lionel Elie Mamane 2015-03-29 21:41:19 UTC
(In reply to Matthew Nicholls from comment #3)
> 1) OSQLParserClient and ODataAccessCharsetHelper depend of functions
>    createSQLParser and createCharsetHelper respectively, which are not in
>    dbtools. As a workaround I have added them to dbtools.

OK.

> 2) There is a similar setup in files sw/inc/swdbtoolsclient.hxx and
>    sw/source/uibase/dbui/swdbtoolsclient.cxx, would it be desirable for this
>    to be removed as well?

I'm in vacation away from my LibreOffice compilation machine and with bad Internet connection; I'll take a better look when I come back.

If the setup is the same, meaning a dlopen()-based wrapper around dbtools, then yes, it is desirable to kill it, too.

> 3) If dbtoolsclient and swdbtoolsclient are removed then I cannot see the
>    use for virtualdbtools.hxx and the files under
>    connectivity/source/simpledbt/*
>    Most methods there seem to be small wrappers around dbtools.

Fair enough. Make it a separate patch / gerrit change.
Comment 6 Commit Notification 2015-04-22 07:26:05 UTC
Matthew Nicholls committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1a25f4c6c99c0c519cc60d842041d56ae8a6f1c

tdf#88710 Cleanup after removing dbtoolsclient

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-15 23:37:27 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp )
[NinjaEdit]